libssh: ssh_sk_callbacks_struct Struct Reference

libssh 0.12.2 The SSH library

Loading...
Searching...
No Matches
Data Fields
ssh_sk_callbacks_struct Struct Reference

FIDO2/U2F security key callbacks structure. More...

`#include <callbacks.h>`

## Data Fields
size_t | size
sk_api_version_callback | api_version
sk_enroll_callback | enroll
sk_sign_callback | sign
sk_load_resident_keys_callback | load_resident_keys

## Detailed Description

FIDO2/U2F security key callbacks structure.

This structure contains callbacks for FIDO2/U2F operations. It allows applications to provide custom implementations of FIDO2/U2F operations to override the default libfido2-based implementation.

Warning
  These callbacks will only be called if libssh was built with FIDO2/U2F support enabled. (WITH_FIDO2 = ON).

## Field Documentation

## ◆ api_version

sk_api_version_callback ssh_sk_callbacks_struct::api_version

This callback returns the SK API version used by the callback implementation.

See also
  sk_api_version_callback for detailed documentation

## ◆ enroll

sk_enroll_callback ssh_sk_callbacks_struct::enroll

This callback enrolls a new FIDO2/U2F credential, generating a new key pair and optionally storing it on the device itself (resident keys).

See also
  sk_enroll_callback for detailed documentation

## ◆ load_resident_keys

sk_load_resident_keys_callback ssh_sk_callbacks_struct::load_resident_keys

This callback enumerates and loads all resident keys (discoverable credentials) stored on the FIDO2 device.

See also
  sk_load_resident_keys_callback for detailed documentation

## ◆ sign

sk_sign_callback ssh_sk_callbacks_struct::sign

This callback performs cryptographic signing operations using a previously enrolled FIDO2/U2F credential.

See also
  sk_sign_callback for detailed documentation

## ◆ size

size_t ssh_sk_callbacks_struct::size

DON'T SET THIS use ssh_callbacks_init() instead.

The documentation for this struct was generated from the following file:

- /build/libssh/src/libssh-0.12.2/include/libssh/callbacks.h